Skip to main content
`Ctrl`+`K`

# RGEllipseGetParameters

Gets the parameters that define the ellipse region.

## Synopsis

    #include "slepcrg.h"
    PetscErrorCode RGEllipseGetParameters(RG rg,PetscScalar *center,PetscReal *radius,PetscReal *vscale)

Not Collective

## Input Parameter

- rg - the region context

## Output Parameters

- center - center of the region

- radius - radius of the region

- vscale - vertical scale of the region

## See Also

RG: Region, `RGELLIPSE`, `RGEllipseSetParameters()`

## Level

advanced

## Location

src/sys/classes/rg/impls/ellipse/rgellipse.c

## Implementations

RGEllipseGetParameters_Ellipse() in src/sys/classes/rg/impls/ellipse/rgellipse.c

Index of all RG routines Table of Contents for all manual pages Index of all manual pages